<template>
    <div class="app">
        <section>
            <ul>
                <li>
                    <!-- <input type="text" v-model="name" v-on:keyup="findForm()"  placeholder="nombre"> -->
                    <input type="text" v-model="name"  placeholder="nombre">
                    <select type="text" v-model="specialtygroup"  placeholder="especialidad">
                        <option value="">Todas las especialidades</option>
                        <option value="Clínica">Clínica</option>
                        <option value="Quirúrgicas">Quirúrgicas</option>
                        <option value="Médico quirúrgicas">Médico-quirúrgicas</option>
                        <option value="Laboratorio o diagnósticas">Laboratorio o diagnósticas</option>
                    </select>
                    <select type="text" v-model="available"  placeholder="disponibilidad">
                        <option value="">Disponibilidad</option>
                        <option value="Alta">Alta</option>
                        <option value="Media">Media</option>
                        <option value="Baja">Baja</option>
                    </select>
                    <button v-on:click="findForm()" class="button-prime">Buscar</button>
                </li>
            </ul>

        </section>
    </div>
  
</template>

<script>
export default {
    name: 'SearchDoctorsCustom',
// inicio DATA
  data(){
    return{
        name:'',
        specialtygroup:'',
        available:'',
    }
    
  },
  // FIN data

 methods: {

    findForm(product) {
        //enviamos datos a la vista        
        this.$emit('dataEmit', this.name, this.specialtygroup, this.available);
    }
  }

}
</script>

<style scoped>

    ul {
        text-align: center;
    }
</style>